import { __ } from '@wordpress/i18n';

export default class GeoUtil {
	static getCountries() {
		return {
			AD: __('Andorra', 'smartcrawl-seo'),
			AF: __('Afghanistan', 'smartcrawl-seo'),
			AG: __('Antigua and Barbuda', 'smartcrawl-seo'),
			AI: __('Anguilla', 'smartcrawl-seo'),
			AL: __('Albania', 'smartcrawl-seo'),
			AM: __('Armenia', 'smartcrawl-seo'),
			AO: __('Angola', 'smartcrawl-seo'),
			AQ: __('Antarctica', 'smartcrawl-seo'),
			AR: __('Argentina', 'smartcrawl-seo'),
			AS: __('American Samoa', 'smartcrawl-seo'),
			AT: __('Austria', 'smartcrawl-seo'),
			AU: __('Australia', 'smartcrawl-seo'),
			AW: __('Aruba', 'smartcrawl-seo'),
			AX: __('Aland Islands', 'smartcrawl-seo'),
			AZ: __('Azerbaijan', 'smartcrawl-seo'),
			BA: __('Bosnia and Herzegovina', 'smartcrawl-seo'),
			BB: __('Barbados', 'smartcrawl-seo'),
			BD: __('Bangladesh', 'smartcrawl-seo'),
			BE: __('Belgium', 'smartcrawl-seo'),
			BF: __('Burkina Faso', 'smartcrawl-seo'),
			BG: __('Bulgaria', 'smartcrawl-seo'),
			BH: __('Bahrain', 'smartcrawl-seo'),
			BI: __('Burundi', 'smartcrawl-seo'),
			BJ: __('Benin', 'smartcrawl-seo'),
			BL: __('Saint Barthelemy', 'smartcrawl-seo'),
			BM: __('Bermuda', 'smartcrawl-seo'),
			BN: __('Brunei Darussalam', 'smartcrawl-seo'),
			BO: __('Bolivia', 'smartcrawl-seo'),
			BQ: __('Bonaire, Saint Eustatius and Saba', 'smartcrawl-seo'),
			BR: __('Brazil', 'smartcrawl-seo'),
			BS: __('Bahamas', 'smartcrawl-seo'),
			BT: __('Bhutan', 'smartcrawl-seo'),
			BV: __('Bouvet Island', 'smartcrawl-seo'),
			BW: __('Botswana', 'smartcrawl-seo'),
			BY: __('Belarus', 'smartcrawl-seo'),
			BZ: __('Belize', 'smartcrawl-seo'),
			CA: __('Canada', 'smartcrawl-seo'),
			CC: __('Cocos (Keeling) Islands', 'smartcrawl-seo'),
			CD: __('Congo, The Democratic Republic of the', 'smartcrawl-seo'),
			CF: __('Central African Republic', 'smartcrawl-seo'),
			CG: __('Congo', 'smartcrawl-seo'),
			CH: __('Switzerland', 'smartcrawl-seo'),
			CI: __("Cote d'Ivoire", 'smartcrawl-seo'),
			CK: __('Cook Islands', 'smartcrawl-seo'),
			CL: __('Chile', 'smartcrawl-seo'),
			CM: __('Cameroon', 'smartcrawl-seo'),
			CN: __('China', 'smartcrawl-seo'),
			CO: __('Colombia', 'smartcrawl-seo'),
			CR: __('Costa Rica', 'smartcrawl-seo'),
			CU: __('Cuba', 'smartcrawl-seo'),
			CV: __('Cape Verde', 'smartcrawl-seo'),
			CW: __('Curacao', 'smartcrawl-seo'),
			CX: __('Christmas Island', 'smartcrawl-seo'),
			CY: __('Cyprus', 'smartcrawl-seo'),
			CZ: __('Czech Republic', 'smartcrawl-seo'),
			DE: __('Germany', 'smartcrawl-seo'),
			DJ: __('Djibouti', 'smartcrawl-seo'),
			DK: __('Denmark', 'smartcrawl-seo'),
			DM: __('Dominica', 'smartcrawl-seo'),
			DO: __('Dominican Republic', 'smartcrawl-seo'),
			DZ: __('Algeria', 'smartcrawl-seo'),
			EC: __('Ecuador', 'smartcrawl-seo'),
			EE: __('Estonia', 'smartcrawl-seo'),
			EG: __('Egypt', 'smartcrawl-seo'),
			EH: __('Western Sahara', 'smartcrawl-seo'),
			ER: __('Eritrea', 'smartcrawl-seo'),
			ES: __('Spain', 'smartcrawl-seo'),
			ET: __('Ethiopia', 'smartcrawl-seo'),
			FI: __('Finland', 'smartcrawl-seo'),
			FJ: __('Fiji', 'smartcrawl-seo'),
			FK: __('Falkland Islands (Malvinas)', 'smartcrawl-seo'),
			FM: __('Micronesia, Federated States of', 'smartcrawl-seo'),
			FO: __('Faroe Islands', 'smartcrawl-seo'),
			FR: __('France', 'smartcrawl-seo'),
			GA: __('Gabon', 'smartcrawl-seo'),
			GB: __('United Kingdom', 'smartcrawl-seo'),
			GD: __('Grenada', 'smartcrawl-seo'),
			GE: __('Georgia', 'smartcrawl-seo'),
			GF: __('French Guiana', 'smartcrawl-seo'),
			GG: __('Guernsey', 'smartcrawl-seo'),
			GH: __('Ghana', 'smartcrawl-seo'),
			GI: __('Gibraltar', 'smartcrawl-seo'),
			GL: __('Greenland', 'smartcrawl-seo'),
			GM: __('Gambia', 'smartcrawl-seo'),
			GN: __('Guinea', 'smartcrawl-seo'),
			GP: __('Guadeloupe', 'smartcrawl-seo'),
			GQ: __('Equatorial Guinea', 'smartcrawl-seo'),
			GR: __('Greece', 'smartcrawl-seo'),
			GS: __(
				'South Georgia and the South Sandwich Islands',
				'smartcrawl-seo'
			),
			GT: __('Guatemala', 'smartcrawl-seo'),
			GU: __('Guam', 'smartcrawl-seo'),
			GW: __('Guinea-Bissau', 'smartcrawl-seo'),
			GY: __('Guyana', 'smartcrawl-seo'),
			HK: __('Hong Kong', 'smartcrawl-seo'),
			HM: __('Heard Island and McDonald Islands', 'smartcrawl-seo'),
			HN: __('Honduras', 'smartcrawl-seo'),
			HR: __('Croatia', 'smartcrawl-seo'),
			HT: __('Haiti', 'smartcrawl-seo'),
			HU: __('Hungary', 'smartcrawl-seo'),
			ID: __('Indonesia', 'smartcrawl-seo'),
			IE: __('Ireland', 'smartcrawl-seo'),
			IL: __('Israel', 'smartcrawl-seo'),
			IM: __('Isle of Man', 'smartcrawl-seo'),
			IN: __('India', 'smartcrawl-seo'),
			IO: __('British Indian Ocean Territory', 'smartcrawl-seo'),
			IQ: __('Iraq', 'smartcrawl-seo'),
			IR: __('Iran, Islamic Republic of', 'smartcrawl-seo'),
			IS: __('Iceland', 'smartcrawl-seo'),
			IT: __('Italy', 'smartcrawl-seo'),
			JE: __('Jersey', 'smartcrawl-seo'),
			JM: __('Jamaica', 'smartcrawl-seo'),
			JO: __('Jordan', 'smartcrawl-seo'),
			JP: __('Japan', 'smartcrawl-seo'),
			KE: __('Kenya', 'smartcrawl-seo'),
			KG: __('Kyrgyzstan', 'smartcrawl-seo'),
			KH: __('Cambodia', 'smartcrawl-seo'),
			KI: __('Kiribati', 'smartcrawl-seo'),
			KM: __('Comoros', 'smartcrawl-seo'),
			KN: __('Saint Kitts and Nevis', 'smartcrawl-seo'),
			KP: __("Korea, Democratic People's Republic of", 'smartcrawl-seo'),
			KR: __('Korea, Republic of', 'smartcrawl-seo'),
			KW: __('Kuwait', 'smartcrawl-seo'),
			KY: __('Cayman Islands', 'smartcrawl-seo'),
			KZ: __('Kazakhstan', 'smartcrawl-seo'),
			LA: __("Lao People's Democratic Republic", 'smartcrawl-seo'),
			LB: __('Lebanon', 'smartcrawl-seo'),
			LC: __('Saint Lucia', 'smartcrawl-seo'),
			LI: __('Liechtenstein', 'smartcrawl-seo'),
			LK: __('Sri Lanka', 'smartcrawl-seo'),
			LR: __('Liberia', 'smartcrawl-seo'),
			LS: __('Lesotho', 'smartcrawl-seo'),
			LT: __('Lithuania', 'smartcrawl-seo'),
			LU: __('Luxembourg', 'smartcrawl-seo'),
			LV: __('Latvia', 'smartcrawl-seo'),
			LY: __('Libyan Arab Jamahiriya', 'smartcrawl-seo'),
			MA: __('Morocco', 'smartcrawl-seo'),
			MC: __('Monaco', 'smartcrawl-seo'),
			MD: __('Moldova, Republic of', 'smartcrawl-seo'),
			ME: __('Montenegro', 'smartcrawl-seo'),
			MF: __('Saint Martin', 'smartcrawl-seo'),
			MG: __('Madagascar', 'smartcrawl-seo'),
			MH: __('Marshall Islands', 'smartcrawl-seo'),
			MK: __('Macedonia', 'smartcrawl-seo'),
			ML: __('Mali', 'smartcrawl-seo'),
			MM: __('Myanmar', 'smartcrawl-seo'),
			MN: __('Mongolia', 'smartcrawl-seo'),
			MO: __('Macao', 'smartcrawl-seo'),
			MP: __('Northern Mariana Islands', 'smartcrawl-seo'),
			MQ: __('Martinique', 'smartcrawl-seo'),
			MR: __('Mauritania', 'smartcrawl-seo'),
			MS: __('Montserrat', 'smartcrawl-seo'),
			MT: __('Malta', 'smartcrawl-seo'),
			MU: __('Mauritius', 'smartcrawl-seo'),
			MV: __('Maldives', 'smartcrawl-seo'),
			MW: __('Malawi', 'smartcrawl-seo'),
			MX: __('Mexico', 'smartcrawl-seo'),
			MY: __('Malaysia', 'smartcrawl-seo'),
			MZ: __('Mozambique', 'smartcrawl-seo'),
			NA: __('Namibia', 'smartcrawl-seo'),
			NC: __('New Caledonia', 'smartcrawl-seo'),
			NE: __('Niger', 'smartcrawl-seo'),
			NF: __('Norfolk Island', 'smartcrawl-seo'),
			NG: __('Nigeria', 'smartcrawl-seo'),
			NI: __('Nicaragua', 'smartcrawl-seo'),
			NL: __('Netherlands', 'smartcrawl-seo'),
			NO: __('Norway', 'smartcrawl-seo'),
			NP: __('Nepal', 'smartcrawl-seo'),
			NR: __('Nauru', 'smartcrawl-seo'),
			NU: __('Niue', 'smartcrawl-seo'),
			NZ: __('New Zealand', 'smartcrawl-seo'),
			OM: __('Oman', 'smartcrawl-seo'),
			PA: __('Panama', 'smartcrawl-seo'),
			PE: __('Peru', 'smartcrawl-seo'),
			PF: __('French Polynesia', 'smartcrawl-seo'),
			PG: __('Papua New Guinea', 'smartcrawl-seo'),
			PH: __('Philippines', 'smartcrawl-seo'),
			PK: __('Pakistan', 'smartcrawl-seo'),
			PL: __('Poland', 'smartcrawl-seo'),
			PM: __('Saint Pierre and Miquelon', 'smartcrawl-seo'),
			PN: __('Pitcairn', 'smartcrawl-seo'),
			PR: __('Puerto Rico', 'smartcrawl-seo'),
			PS: __('Palestinian Territory', 'smartcrawl-seo'),
			PT: __('Portugal', 'smartcrawl-seo'),
			PW: __('Palau', 'smartcrawl-seo'),
			PY: __('Paraguay', 'smartcrawl-seo'),
			QA: __('Qatar', 'smartcrawl-seo'),
			RE: __('Reunion', 'smartcrawl-seo'),
			RO: __('Romania', 'smartcrawl-seo'),
			RS: __('Serbia', 'smartcrawl-seo'),
			RU: __('Russian Federation', 'smartcrawl-seo'),
			RW: __('Rwanda', 'smartcrawl-seo'),
			SA: __('Saudi Arabia', 'smartcrawl-seo'),
			SB: __('Solomon Islands', 'smartcrawl-seo'),
			SC: __('Seychelles', 'smartcrawl-seo'),
			SD: __('Sudan', 'smartcrawl-seo'),
			SE: __('Sweden', 'smartcrawl-seo'),
			SG: __('Singapore', 'smartcrawl-seo'),
			SH: __('Saint Helena', 'smartcrawl-seo'),
			SI: __('Slovenia', 'smartcrawl-seo'),
			SJ: __('Svalbard and Jan Mayen', 'smartcrawl-seo'),
			SK: __('Slovakia', 'smartcrawl-seo'),
			SL: __('Sierra Leone', 'smartcrawl-seo'),
			SM: __('San Marino', 'smartcrawl-seo'),
			SN: __('Senegal', 'smartcrawl-seo'),
			SO: __('Somalia', 'smartcrawl-seo'),
			SR: __('Suriname', 'smartcrawl-seo'),
			SS: __('South Sudan', 'smartcrawl-seo'),
			ST: __('Sao Tome and Principe', 'smartcrawl-seo'),
			SV: __('El Salvador', 'smartcrawl-seo'),
			SX: __('Sint Maarten', 'smartcrawl-seo'),
			SY: __('Syrian Arab Republic', 'smartcrawl-seo'),
			SZ: __('Swaziland', 'smartcrawl-seo'),
			TC: __('Turks and Caicos Islands', 'smartcrawl-seo'),
			TD: __('Chad', 'smartcrawl-seo'),
			TF: __('French Southern Territories', 'smartcrawl-seo'),
			TG: __('Togo', 'smartcrawl-seo'),
			TH: __('Thailand', 'smartcrawl-seo'),
			TJ: __('Tajikistan', 'smartcrawl-seo'),
			TK: __('Tokelau', 'smartcrawl-seo'),
			TL: __('Timor-Leste', 'smartcrawl-seo'),
			TM: __('Turkmenistan', 'smartcrawl-seo'),
			TN: __('Tunisia', 'smartcrawl-seo'),
			TO: __('Tonga', 'smartcrawl-seo'),
			TR: __('Turkey', 'smartcrawl-seo'),
			TT: __('Trinidad and Tobago', 'smartcrawl-seo'),
			TV: __('Tuvalu', 'smartcrawl-seo'),
			TW: __('Taiwan', 'smartcrawl-seo'),
			TZ: __('Tanzania, United Republic of', 'smartcrawl-seo'),
			UA: __('Ukraine', 'smartcrawl-seo'),
			UG: __('Uganda', 'smartcrawl-seo'),
			AE: __('United Arab Emirates', 'smartcrawl-seo'),
			UM: __('United States Minor Outlying Islands', 'smartcrawl-seo'),
			US: __('United States', 'smartcrawl-seo'),
			UY: __('Uruguay', 'smartcrawl-seo'),
			UZ: __('Uzbekistan', 'smartcrawl-seo'),
			VA: __('Holy See (Vatican City State)', 'smartcrawl-seo'),
			VC: __('Saint Vincent and the Grenadines', 'smartcrawl-seo'),
			VE: __('Venezuela', 'smartcrawl-seo'),
			VG: __('Virgin Islands, British', 'smartcrawl-seo'),
			VI: __('Virgin Islands, U.S.', 'smartcrawl-seo'),
			VN: __('Vietnam', 'smartcrawl-seo'),
			VU: __('Vanuatu', 'smartcrawl-seo'),
			WF: __('Wallis and Futuna', 'smartcrawl-seo'),
			WS: __('Samoa', 'smartcrawl-seo'),
			YE: __('Yemen', 'smartcrawl-seo'),
			YT: __('Mayotte', 'smartcrawl-seo'),
			ZA: __('South Africa', 'smartcrawl-seo'),
			ZM: __('Zambia', 'smartcrawl-seo'),
			ZW: __('Zimbabwe', 'smartcrawl-seo'),
		};
	}
}
